public interface InstanceGroupManagersListErrorsResponseOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getItems(int index)
public abstract InstanceManagedByIgmError getItems(int index)Output only. [Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmError |
|
getItemsCount()
public abstract int getItemsCount()Output only. [Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public abstract List<InstanceManagedByIgmError> getItemsList()Output only. [Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<InstanceManagedByIgmError> |
|
getItemsOrBuilder(int index)
public abstract InstanceManagedByIgmErrorOrBuilder getItemsOrBuilder(int index)Output only. [Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmErrorOrBuilder |
|
getItemsOrBuilderList()
public abstract List<? extends InstanceManagedByIgmErrorOrBuilder> getItemsOrBuilderList()Output only. [Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.InstanceManagedByIgmErrorOrBuilder> |
|
getNextPageToken()
public abstract String getNextPageToken()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
hasNextPageToken()
public abstract boolean hasNextPageToken()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |